
Redmine - Defect #27901

Internal error for Russian/Chinese languages

2018-01-05 13:35 - ajeesh b

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.1

Description

My Redmine servers character set and collation are running with UTF8 formate. I am getting "Internal error" while updating

characters like Russian/Chinese( for example: Лорем ипсум these characters)

----------------------------------------------------+ | Variable_name            | Value                      |

----------------------------------------------------+ | character_set_client     | utf8                       | | character_set_connection | utf8                      

| | character_set_database   | utf8                       | | character_set_filesystem | binary                     | | character_set_results    | utf8       

| | character_set_server     | utf8                       | | character_set_system     | utf8                       | | character_sets_dir       |

/usr/share/mysql/charsets/ |

----------------------------------------------------+

8 rows in set (0.00 sec)

-------------------------------------+ | Variable_name        | Value           |

-------------------------------------+ | collation_connection | utf8_general_ci | | collation_database   | utf8_general_ci | | collation_server     |

utf8_general_ci |

-------------------------------------+

My redmine settings :

Environment:

Redmine version                3.3.1.stable

Ruby version                   2.2.3-p173 (2015-08-18) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.7.14

Git                            1.8.3.1

Filesystem

Redmine plugins:

redmine_account_policy         0.2.0

redmine_agile                  1.4.2

redmine_base_deface            0.0.1

redmine_contacts               4.1.1

redmine_contacts_helpdesk      3.0.9

redmine_issue_tabs             1.1.0

redmine_mylyn_connector        2.8.2.stable

And ImageMagick convert available (optional) --> is not enabled, all others are green in colour

Can you please help me what is cause of this issue.

History

#1 - 2018-01-05 13:36 - ajeesh b

ajeesh b wrote:

My Redmine servers character set and collation are running with UTF8 formate. I am getting "Internal error" while updating characters like

Russian/Chinese( for example: Лорем ипсум these characters)

 
> +--------------------------+----------------------------+
> | Variable_name            | Value                      |

> +--------------------------+----------------------------+

> | character_set_client     | utf8                       |

> | character_set_connection | utf8                       |

> | character_set_database   | utf8                       |

> | character_set_filesystem | binary                     |

> | character_set_results    | utf8                       |

> | character_set_server     | utf8                       |

> | character_set_system     | utf8                       |

> | character_sets_dir       | /usr/share/mysql/charsets/ |

> +--------------------------+----------------------------+

> 8 rows in set (0.00 sec)

> 

> +----------------------+-----------------+

> | Variable_name        | Value           |

> +----------------------+-----------------+

> | collation_connection | utf8_general_ci |

> | collation_database   | utf8_general_ci |

> | collation_server     | utf8_general_ci |

> +----------------------+-----------------+

 My redmine settings :

Environment:

Redmine version                3.3.1.stable

Ruby version                   2.2.3-p173 (2015-08-18) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.7.14

Git                            1.8.3.1

Filesystem

Redmine plugins:

redmine_account_policy         0.2.0

redmine_agile                  1.4.2

redmine_base_deface            0.0.1

redmine_contacts               4.1.1

redmine_contacts_helpdesk      3.0.9

redmine_issue_tabs             1.1.0

redmine_mylyn_connector        2.8.2.stable

And ImageMagick convert available (optional) --> is not enabled, all others are green in colour

Can you please help me what is cause of this issue.

#2 - 2018-01-05 16:49 - Toshi MARUYAMA

- Category deleted (Issues)

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Try #10772#note-7.

#3 - 2022-12-22 07:29 - Dimitar (RedmineUP)

Hi Ajeesh,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:

redmine_agile 1.4.2

redmine_contacts 4.1.1

redmine_contacts_helpdesk 3.0.9

 May I ask - is the reported problem still appearing to your Redmine?

We look forward to hearing from you.
https://www.redmine.org/issues/10772#note-7
https://www.redmineup.com


Best Regards,

Dimitar from the RedmineUP Support Team

ajeesh b wrote:

My Redmine servers character set and collation are running with UTF8 formate. I am getting "Internal error" while updating characters like

Russian/Chinese( for example: Лорем ипсум these characters)

----------------------------------------------------+ | Variable_name            | Value                      |

----------------------------------------------------+ | character_set_client     | utf8                       | | character_set_connection | utf8                       | |

character_set_database   | utf8                       | | character_set_filesystem | binary                     | | character_set_results    | utf8                       | |

character_set_server     | utf8                       | | character_set_system     | utf8                       | | character_sets_dir       | /usr/share/mysql/charsets/

|

----------------------------------------------------+

8 rows in set (0.00 sec)

-------------------------------------+ | Variable_name        | Value           |

-------------------------------------+ | collation_connection | utf8_general_ci | | collation_database   | utf8_general_ci | | collation_server     |

utf8_general_ci |

-------------------------------------+

My redmine settings :

Environment:

Redmine version                3.3.1.stable

Ruby version                   2.2.3-p173 (2015-08-18) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.7.14

Git                            1.8.3.1

Filesystem

Redmine plugins:

redmine_account_policy         0.2.0

redmine_agile                  1.4.2

redmine_base_deface            0.0.1

redmine_contacts               4.1.1

redmine_contacts_helpdesk      3.0.9

redmine_issue_tabs             1.1.0

redmine_mylyn_connector        2.8.2.stable

And ImageMagick convert available (optional) --> is not enabled, all others are green in colour

Can you please help me what is cause of this issue.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

http://www.tcpdf.org

